[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0rc2-161-gb9439d2d0
git at osgeo.org
git at osgeo.org
Sun Oct 2 12:12:20 PDT 2022
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via b9439d2d0d7cabfad1fbed3c71c720be13b89133 (commit)
from de60ad171eee64e5516a474b56e528f6ef684341 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit b9439d2d0d7cabfad1fbed3c71c720be13b89133
Author: Regina Obe <lr at pcorp.us>
Date: Sun Oct 2 15:12:12 2022 -0400
Fix current / current test. References #5253
diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index 0d52bc51a..458822d8f 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -228,18 +228,16 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
CURRENTVERSION=`grep '^POSTGIS_' ${SRCDIR}/Version.config | cut -d= -f2 | paste -sd '.'`
# Test current version to current version extension upgrade
- do #{
- UPGRADE_PATH="${CURRENTVERSION}--:auto!"
- test_label="${EXT} extension-based upgrade ${UPGRADE_PATH}"
- echo "Testing ${test_label}"
- RUNTESTFLAGS="--extension -v --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
- make -C ${REGDIR} check && {
- echo "PASS: ${test_label}"
- } || {
- echo "FAIL: ${test_label}"
- failed
- }
- done #}
+ UPGRADE_PATH="${CURRENTVERSION}--:auto!"
+ test_label="${EXT} extension-based upgrade ${UPGRADE_PATH}"
+ echo "Testing ${test_label}"
+ RUNTESTFLAGS="--extension -v --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
+ make -C ${REGDIR} check && {
+ echo "PASS: ${test_label}"
+ } || {
+ echo "FAIL: ${test_label}"
+ failed
+ }
# Check unpackaged->unpackaged upgrades
if test "${to_version}" = "${CURRENTVERSION}"; then
-----------------------------------------------------------------------
Summary of changes:
utils/check_all_upgrades.sh | 22 ++++++++++------------
1 file changed, 10 insertions(+), 12 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list